/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.fjhx.business.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.business.mapper.TaskStepMapper;
import com.fjhx.business.service.ITaskStepService;
import com.fjhx.entity.rfid.business.TaskStep;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * 任务工序进度表 服务实现类
 *
 * @author BladeX
 * @since 2022-08-19
 */
@Service
public class TaskStepServiceImpl extends ServiceImpl<TaskStepMapper, TaskStep> implements ITaskStepService {

    @Override
    public void saveTaskStep(String taskId,String workShipId) {
        TaskStep step = getOne(Wrappers.<TaskStep>query().lambda().eq(TaskStep::getTaskId,taskId).eq(TaskStep::getWorkmanshipId,workShipId));
        if(ObjectUtil.isNotEmpty(step)){//数量加1
            step.setCompletNum(step.getCompletNum()+1);
            step.setUpdateTime(new Date());
            updateById(step);
        }else{//添加一条新的数据
            TaskStep addStep = new TaskStep();
            addStep.setCreateTime(new Date());
            addStep.setCompletNum(1);
            addStep.setWorkmanshipId(workShipId);
            addStep.setTaskId(taskId);
            save(addStep);
        }
    }
}
