package com.fjhx.rfid.r2000.controller;

import com.fjhx.entity.rfid.RFIDClient;
import com.fjhx.rfid.r2000.sd.service.ISdService;
import com.fjhx.utils.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.PostConstruct;

/**
 * rfid读写器服务 控制器
 */
@RestController
@RequestMapping("/rfid/server/sd")
public class SdRFIDController {

    @Autowired
    private ISdService iSdService;

    /**
     * 启动
     *
     * @return
     */
    @PostConstruct
    @PostMapping("/open")
    public AjaxResult open() {
        iSdService.open(new RFIDClient());
        return AjaxResult.success();
    }

    /**
     * 关闭
     *
     * @param client 参数
     * @return
     */
    @PostMapping("/close")
    public AjaxResult close(RFIDClient client) {
        iSdService.close(client);
        return AjaxResult.success();
    }
}
